<template>
	<form @submit="submit" :class="addClass" class="w-full p-10 box-border">
		<LogoImage imgSize="normal" />
		<hr class="my-10" />
		<div class="mb-15">
			<p class="text-2xl font-montserrat font-bold">Masuk</p>
			<p class="text-xs">Silakan "Masuk" untuk memulai perkerjaan!</p>
		</div>
		<InputCustom
			label="Username"
			:required="true"
			v-model:value="username"
			type="text"
			name="username"
            placeholder="Masukan username Anda"
		/>
		<InputCustom
			label="Kata Sandi"
			:required="true"
			v-model:value="password"
			type="password"
			name="password"
            placeholder="Masukan kata sandi Anda"
		/>
		<div class="my-16">
			<input
				class="
					w-full
					uppercase
					font-bold
					rounded-lg
					p-4
					text-white
					bg-shades-orange-light
					text-base
                    leading-5
				"
				type="submit"
				value="Masuk"
			/>
		</div>
	</form>
</template>

<script>
import InputCustom from "../../components/InputCustom/InputCustom.vue";
import LogoImage from "../../components/LogoImage.vue";

export default {
	name: "FormLogin",
	components: {
		InputCustom,
		LogoImage
	},
	props: {
		addClass: String,
	},
	data() {
		return {
			username: "",
			password: "",
		};
	},
	methods: {
		submit(e) {
			e.preventDefault();
			console.log(this.username, this.password);
			this.$emit('redirect');
		},
	},
};
</script>

<style>
form {
	max-width: 485px;
    background-color: rgba(0,0,0,0.2);
}
</style>